Get Memory Container API
Introduced 3.3
Use this API to retrieve a memory container by its ID.
Endpoints
GET /_plugins/_ml/memory_containers/{memory_container_id}
Path parameters
The following table lists the available path parameters.
| Parameter | Data type | Required/Optional | Description |
|---|---|---|---|
memory_container_id | String | Required | The ID of the memory container to retrieve. |
Example request
GET /_plugins/_ml/memory_containers/SdjmmpgBOh0h20Y9kWuN
Example response
{
"name": "agentic memory test",
"description": "Store conversations with semantic search and summarization",
"created_time": 1792070644500,
"last_updated_time": 1792070644500,
"configuration": {
"index_prefix": "default",
"llm_id": "aFouy5kBrfmzAZ6R6wo-",
"embedding_model_type": "TEXT_EMBEDDING",
"embedding_model_id": "uXZAtJkBvHNmcp1JAROh",
"embedding_dimension": 1024,
"max_infer_size": 5,
"strategies": [
{
"id": "semantic_53d1751c",
"enabled": true,
"type": "SEMANTIC",
"namespace": [
"user_id"
]
}
],
"disable_history": false,
"disable_session": false,
"use_system_index": true
}
}
Response body fields
For response field descriptions, see Create Memory Container API request fields.
Each strategy in the response also contains an id generated by OpenSearch. To update a strategy, provide this id in an Update Memory Container API request.